%define aeolus_ver 0.2.1
%define release    1
%define stops_ver  0.0.9
%define stops_rel  1

%define	desktop_vendor	planetccrma
%define desktop_utils   %(if which desktop-file-install &>/dev/null ; then echo "yes" ; fi)
%define distro          %(awk '/Fedora/{print $4}; /Red Hat/{print $5}' 2>/dev/null < /etc/redhat-release)

Summary:      Aeolus, a synthesized pipe organ
Name:         aeolus
Version:      %{aeolus_ver}
Release:      %{release}
License:      GPL
Group:        Applications/Multimedia
URL:          http://users.skynet.be/solaris/linuxaudio/
Source0:      %{name}-%{aeolus_ver}.tar.bz2
Source1:      stops-%{stops_ver}.tar.bz2
BuildRoot:    %{_tmppath}/%{name}-%{aeolus_ver}-buildroot
Packager:     Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
Distribution: Planet CCRMA

BuildRequires: gcc-c++ clalsadrv-devel clthreads-devel clxclient-devel
%if "%{distro}" == "2"
BuildRequires: xorg-x11-devel
%else
BuildRequires: XFree86-devel
%endif
BuildRequires: alsa-lib-devel jack-audio-connection-kit-devel

%description
Aeolus is my first attempt to arrive at a synthesised (i.e. not
sampled) pipe organ sound that should be good enough to make an
organist enjoy playing it. It will in fact be a soft-synth optimised
for this job, with possibly hundreds of controls for each stop, to
enable the user to "voice" his instrument.

%package stops
Summary:  Aeolus stops
Version:  %{stops_ver}
Release:  %{stops_rel}%{?distag}%{?repotag}
Group:    Applications/Multimedia
Requires: aeolus >= %{aeolus_ver}

%description stops
The Aeolus stops

%prep
%setup -q -n %{name}-%{aeolus_ver}

%build
# change the default stops directory to point to the installed stops
perl -p -i -e "s|\".stops\", \".\"|\".stops\", \"%{_datadir}/aeolus/stops\"|g" mainwin.cc

make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/aeolus
cp -p aeolus $RPM_BUILD_ROOT%{_bindir}/aeolus

# install the stops
(cd $RPM_BUILD_ROOT%{_datadir}/aeolus; tar xjf %{SOURCE1}; mv stops-* stops)
rm -f $RPM_BUILD_ROOT%{_datadir}/aeolus/stops/Makefile

# create menu entries
cat << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Name=Aeolus
Comment=Synthesized Pipe Organ
Icon=
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
EOF

%if "%{desktop_utils}" == "yes"
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir $RPM_BUILD_ROOT%{_datadir}/applications    \
    --add-category X-Red-Hat-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-%{name}.desktop
%else
  install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia
  install %{desktop_vendor}-%{name}.desktop $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia/
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING INSTALL
%{_bindir}/*
%if "%{desktop_utils}" == "yes"
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%else
%attr(644,root,root) %{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
%endif

%files stops
%defattr(-,root,root,-)
%{_datadir}/aeolus/stops

%changelog
* Thu Jul 29 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- changed default stops directory to /usr/share/aeolus/stops
- deleted startup script
* Fri Jul 23 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.1-1
- updated to 0.2.1 and stops 0.0.9
* Mon Jun 14 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.2.0-1
- updated to 0.2.0
* Tue May 11 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 
- added alsa-lib-devel buildrequires
* Tue May  4 2004 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.1.0-1
- initial build
